Package org.bgerp.plugin.pln.callboard.action

# Class WorkAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.plugin.pln.callboard.action.WorkAction

Direct Known Subclasses:
  `WorkAction`

public class WorkAction extends BaseAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `callboardAvailableShift(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `callboardChangeOrder(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `callboardGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `callboardGetTabel(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `callboardUpdateFilters(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `callboardUpdateShift(DynActionForm form, Connection con)`
  `protected List<CategoryConfig.Category>`
  `getAvailableCategories(ConfigMap perm)`
  `protected Set<Integer>`
  `getAvailableCategoryIds(ConfigMap perm)`
  `protected List<Integer>`
  `getGroupList(DynActionForm form, CallboardConfig.Callboard callboard, boolean excludeHidden, Set<Integer> allowOnlyGroups)`
  `protected Map<Integer,List<Integer>>`
  `getGroupWithUsersMap(Connection con, CallboardConfig.Callboard callboard, List<Integer> groupIds, Calendar dateFrom, Calendar dateTo)`
  `org.apache.struts.action.ActionForward`
  `planGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processTime(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processTimeLock(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processTimeSet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `processTimeUnlock(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `userChangeGroup(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `workDaysCalendarCopy(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `workDaysCalendarGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `workDaysCalendarList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `workDaysCalendarUpdate(DynActionForm form, Connection con)`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WorkAction

    public WorkAction()

- ## Method Details

  - ### planGet

    public org.apache.struts.action.ActionForward planGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processTime

    public org.apache.struts.action.ActionForward processTime(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processTimeSet

    public org.apache.struts.action.ActionForward processTimeSet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### processTimeLock

    public org.apache.struts.action.ActionForward processTimeLock(DynActionForm form, Connection con) throws BGMessageException
    Throws:
      `BGMessageException`

  - ### processTimeUnlock

    public org.apache.struts.action.ActionForward processTimeUnlock(DynActionForm form, Connection con) throws BGMessageException
    Throws:
      `BGMessageException`

  - ### callboardGet

    public org.apache.struts.action.ActionForward callboardGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### getAvailableCategories

    protected List<CategoryConfig.Category> getAvailableCategories(ConfigMap perm) throws Exception
    Throws:
      `Exception`

  - ### getAvailableCategoryIds

    protected Set<Integer> getAvailableCategoryIds(ConfigMap perm) throws Exception
    Throws:
      `Exception`

  - ### callboardUpdateFilters

    public org.apache.struts.action.ActionForward callboardUpdateFilters(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### callboardUpdateShift

    public org.apache.struts.action.ActionForward callboardUpdateShift(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### userChangeGroup

    public org.apache.struts.action.ActionForward userChangeGroup(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### callboardChangeOrder

    public org.apache.struts.action.ActionForward callboardChangeOrder(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### callboardGetTabel

    public org.apache.struts.action.ActionForward callboardGetTabel(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### callboardAvailableShift

    public org.apache.struts.action.ActionForward callboardAvailableShift(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### workDaysCalendarList

    public org.apache.struts.action.ActionForward workDaysCalendarList(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### workDaysCalendarGet

    public org.apache.struts.action.ActionForward workDaysCalendarGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### workDaysCalendarUpdate

    public org.apache.struts.action.ActionForward workDaysCalendarUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### workDaysCalendarCopy

    public org.apache.struts.action.ActionForward workDaysCalendarCopy(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### getGroupList

    protected List<Integer> getGroupList(DynActionForm form, CallboardConfig.Callboard callboard, boolean excludeHidden, Set<Integer> allowOnlyGroups)

  - ### getGroupWithUsersMap

    protected Map<Integer,List<Integer>> getGroupWithUsersMap(Connection con, CallboardConfig.Callboard callboard, List<Integer> groupIds, Calendar dateFrom, Calendar dateTo)